# boost::numeric::ublas::vector_container< C > Class Template Reference

Base class for Vector container models. More...

Inherits vector_expression< C >.

List of all members.

## Public Types
typedef C | container_type
typedef vector_tag | type_category
## Public Member Functions
BOOST_UBLAS_INLINE const container_type & | operator() () const
BOOST_UBLAS_INLINE container_type & | operator() ()
## Static Public Attributes
static const unsigned | complexity = 0

## Detailed Description

### template<class C>
class boost::numeric::ublas::vector_container< C >

it does not model the Vector concept but all derived types should. The class defines a common base type and some common interface for all statically derived Vector classes We implement the casts to the statically derived type.